{
    "Pipe_0": {
        "Flow_0": {
            "flow_index": {
                "flow_index_name": "source_0",
                "flow_type": "source",
                "stream_type": "camera",
                "stream_id": "0",
                "upflow_index_name": "none"
            },
            "flow_name": "source_stream",
            "flow_param": {
                "name": "v4l2_capture_stream"
            },
            "stream_param": {
                "device": "rkispp_scale0",
                "frame_num": "4",
                "height": "1080",
                "output_data_type": "image:nv12",
                "use_libv4l2": "1",
                "v4l2_capture_type": "VIDEO_CAPTURE",
                "v4l2_mem_type": "MEMORY_DMABUF",
                "virtual_height": "1080",
                "virtual_width": "1920",
                "width": "1920"
            }
        },
        "Flow_1": {
            "flow_index": {
                "flow_index_name": "source_1",
                "flow_type": "source",
                "stream_type": "audio",
                "upflow_index_name": "none"
            },
            "flow_name": "source_stream",
            "flow_param": {
                "name": "alsa_capture_stream"
            },
            "stream_param": {
                "channel_num": "1",
                "device": "default",
                "frame_num": "1024",
                "sample_format": "audio:pcm_s16",
                "sample_rate": "8000"
            }
        },
        "Flow_2": {
            "flow_index": {
                "flow_index_name": "video_enc_0",
                "flow_type": "io",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "video_enc",
                "upflow_index_name": "source_0"
            },
            "flow_name": "video_enc",
            "flow_param": {
                "input_data_type": "image:nv12",
                "name": "rkmpp",
                "need_extra_merge": "1",
                "output_data_type": "video:h264"
            },
            "stream_param": {
                "bitrate_max": "3000000",
                "bitrate": "2000000",
                "bitrate_min": "1000000",
                "codec_type": "76",
                "framerate": "30/1",
                "framerate_in": "30/1",
                "full_range": "1",
                "gop": "30",
                "h264_trans_8x8": "1",
                "height": "1080",
                "input_data_type": "image:nv12",
                "level": "52",
                "output_data_type": "video:h264",
                "profile": "100",
                "rc_mode": "cbr",
                "rc_quality": "highest",
                "virtual_height": "1080",
                "virtual_width": "1920",
                "width": "1920",
                "roi_regions": "",
                "smart": "close"
            }
        },
        "Flow_3": {
            "flow_index": {
                "flow_index_name": "audio_enc_0",
                "flow_type": "io",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "audio_enc",
                "upflow_index_name": "source_1"
            },
            "flow_name": "audio_enc",
            "flow_param": {
                "input_data_type": "audio:pcm_s16",
                "name": "rkaudio_aud",
                "output_data_type": "audio:g711a"
            },
            "stream_param": {
                "bitrate": "64000",
                "channel_num": "1",
                "codec_type": "6",
                "compress_quality": "0.000000",
                "frame_num": "1024",
                "input_data_type": "audio:pcm_s16",
                "output_data_type": "audio:g711a",
                "sample_rate": "8000"
            }
        },
        "Flow_4": {
            "flow_index": {
                "flow_index_name": "rtsp_0",
                "flow_type": "sink",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "rtsp",
                "upflow_index_name": "video_enc_0 audio_enc_0"
            },
            "flow_name": "live555_rtsp_server",
            "flow_param": {
                "input_data_type": "audio:g711a,video:h264",
                "channel_name": "live/substream",
                "portnum": "554",
                "sample_rate": "8000",
                "channel_num": "1",
                "profile": "1",
                "sample_format": "16"
            },
            "stream_param": {}
        },
        "Flow_5": {
            "flow_index": {
                "flow_index_name": "sink_0",
                "flow_type": "sink",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "link",
                "upflow_index_name": "video_enc_0",
                "product_key": "a139oQFoEu6",
                "device_name": "test-xy",
                "device_secret": "ebd55283e105c6294f40f48d197c08f3",
                "product_secret": "LKDLOI0nJmp8m7aH"
            },
            "flow_name": "link_flow",
            "flow_param": {
                "input_data_type": "video:h264"
            },
            "stream_param": {}
        },
        "Flow_6": {
            "flow_index": {
                "flow_index_name": "sink_0",
                "flow_type": "sink",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "link",
                "upflow_index_name": "audio_enc_0"
            },
            "flow_name": "link_flow",
            "flow_param": {
                "input_data_type": "audio:g711a"
            },
            "stream_param": {}
        }
    },
    "Pipe_1": {
        "Flow_0": {
            "flow_index": {
                "flow_index_name": "source_0",
                "flow_type": "source",
                "stream_id": "1",
                "stream_type": "camera",
                "upflow_index_name": "none"
            },
            "flow_name": "source_stream",
            "flow_param": {
                "name": "v4l2_capture_stream"
            },
            "stream_param": {
                "device": "rkispp_scale1",
                "frame_num": "4",
                "height": "720",
                "output_data_type": "image:nv12",
                "use_libv4l2": "1",
                "v4l2_capture_type": "VIDEO_CAPTURE",
                "v4l2_mem_type": "MEMORY_DMABUF",
                "virtual_height": "720",
                "virtual_width": "1280",
                "width": "1280"
            }
        },
        "Flow_1": {
            "flow_index": {
                "flow_index_name": "rga_0",
                "flow_type": "io",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "filter",
                "upflow_index_name": "source_0"
            },
            "flow_name": "filter",
            "flow_param": {
                "input_data_type": "image:nv12",
                "name": "rkrga",
                "width": "720",
                "height": "1280",
                "virtual_width": "720",
                "virtual_height": "1280",
                "output_data_type": "image:rgb888",
                "mem_type": "drm",
                "mem_cnt": "3"
            },
            "stream_param": {
                "rect": "(0,0,1280,720)->(0,0,720,1280)",
                "rotate": "90"
            }
        },
        "Flow_2": {
            "flow_index": {
                "flow_index_name": "sink_0",
                "flow_type": "sink",
                "in_slot_index_of_down": "0",
                "out_slot_index": "0",
                "stream_type": "file",
                "upflow_index_name": "rga_0"
            },
            "flow_name": "output_stream",
            "flow_param": {
                "name": "drm_output_stream"
            },
            "stream_param": {
                "device": "/dev/dri/card0",
                "width": "720",
                "height": "1280",
                "virtual_width": "720",
                "virtual_height": "1280",
                "output_data_type": "image:rgb888",
                "framerate": "60",
                "plane_type": "Primary",
                "ZPOS": "0"
            }
        }
    }
}
